> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Event Enrichments

`GET https://api.pagerduty.com/enrichment/event_enrichments`

Event Enrichments allow you to automatically add contextual data to events as they're ingested, so that relevant information is available throughout the event, alert, and incident lifecycle. By leveraging the Contextual Data Platform (CDP), you can define rules that extract values from events or query enrichment schemas to populate event fields.

<!-- theme: warning -->

> ### Early Access
> This API is in Early Access and may change at any time. Contact your PagerDuty account team to request access.

Retrieve a list of all Event Enrichments in the account.

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | integer |  | The number of results per page. |
| `offset` | integer |  | Offset to start pagination search results. |
| `include[]` | array of string |  | Include additional details. Supported value is "privileges". |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

A list of Event Enrichments for the account.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `event_enrichments` | array of object |  | The list of Event Enrichments. |
| `event_enrichments[].id` | string |  | ID of the Event Enrichment. Read-only. |
| `event_enrichments[].name` | string |  | The name of the Event Enrichment. |
| `event_enrichments[].description` | string \| null |  | A description of this Event Enrichment's purpose. |
| `event_enrichments[].is_default` | boolean |  | Indicates whether this Event Enrichment is the account default. Read-only. |
| `event_enrichments[].associated_services` | integer |  | The number of Services associated with this Event Enrichment. Read-only. |
| `event_enrichments[].associated_event_orchestrations` | integer |  | The number of Event Orchestrations associated with this Event Enrichment. Read-only. |
| `event_enrichments[].team` | object \| null |  | Reference to the team that owns this Event Enrichment. |
| `event_enrichments[].team.id` | string |  | The ID of the team. |
| `event_enrichments[].team.type` | string |  | A string that determines the schema of the object. Read-only. |
| `event_enrichments[].team.self` | string (url) |  | The API show URL at which the object is accessible. Read-only. |
| `event_enrichments[].privileges` | object \| null |  | Details about the read/update permissions of the current user for this Event Enrichment. Only present when `include[]=privileges` is requested. Read-only. |
| `event_enrichments[].privileges.permissions` | array of string |  | The list of permissions the current user has for this Event Enrichment. |
| `event_enrichments[].created_at` | string (date-time) |  | The date/time the Event Enrichment was created. Read-only. |
| `event_enrichments[].created_by` | object \| null |  | Reference to the user that created the Event Enrichment. Read-only. |
| `event_enrichments[].created_by.id` | string |  | Read-only. |
| `event_enrichments[].created_by.type` | string |  | A string that determines the schema of the object. Read-only. |
| `event_enrichments[].created_by.self` | string (url) |  | The API show URL at which the object is accessible. Read-only. |
| `event_enrichments[].updated_at` | string (date-time) |  | The date/time the Event Enrichment was last updated. Read-only. |
| `event_enrichments[].updated_by` | object \| null |  | Reference to the user that last updated the Event Enrichment. Read-only. |
| `event_enrichments[].updated_by.id` | string |  | Read-only. |
| `event_enrichments[].updated_by.type` | string |  | A string that determines the schema of the object. Read-only. |
| `event_enrichments[].updated_by.self` | string (url) |  | The API show URL at which the object is accessible. Read-only. |
| `event_enrichments[].self` | string (url) |  | The API show URL at which the object is accessible. Read-only. |
| `limit` | integer |  | The minimum of the `limit` parameter used in the request or the maximum request size of the API. |
| `offset` | integer |  | Echoes offset pagination property. |
| `more` | boolean |  | Indicates if there are additional records to return. |
| `total` | integer \| null |  | The total number of records matching the given query. |

Example: Example Response

```json
{
  "event_enrichments": [
    {
      "id": "AGN4PVDO2F5AZIVWETZ42I6IP4",
      "name": "1st Event Enrichment",
      "description": null,
      "is_default": false,
      "associated_services": 32,
      "associated_event_orchestrations": 23,
      "team": {
        "id": "PA5JAKW",
        "type": "team_reference",
        "self": "https://api.pagerduty.com/teams/PA5JAKW"
      },
      "created_at": "2023-10-25T22:04:24Z",
      "created_by": {
        "id": "P1TYZRY",
        "type": "user_reference",
        "self": "https://api.pagerduty.com/users/P1TYZRY"
      },
      "updated_at": "2025-06-16T14:39:11Z",
      "updated_by": {
        "id": "P1TYZRY",
        "type": "user_reference",
        "self": "https://api.pagerduty.com/users/P1TYZRY"
      },
      "self": "https://api.pagerduty.com/enrichment/event_enrichments/AGN4PVDO2F5AZIVWETZ42I6IP4"
    }
  ],
  "limit": 25,
  "offset": 0,
  "more": false,
  "total": 1
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 500

Internal Server Error the PagerDuty server experienced an error.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
